TAAS - Feature #123

Extra Credit Limit/Payment Days
01/10/2023 10:21 AM - Anil KV

Status: New Changes Coding Done Start date: 01/12/2023
Priority: Normal Due date:

Assignee: Athira KK % Done: 70%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Credit Limit

Description

Coding Extra Credit Limit

Resign -> Karthika

History

#1 - 01/12/2023 10:22 AM - Junaid M
- Assignee changed from Junaid M to Muhasin PU

#2 - 01/12/2023 11:39 AM - Muhasin PU
- File 1-CsModel.cs added

- File 2-tsModel.ts added

- File 3-CsFile.cs added

- File 4-CsControllerFile.cs added

- File 5-TsFile.ts added

- File 6-HtmliFile.html added

- File sql.sql added

Files Added.

#3 - 01/12/2023 12:01 PM - Muhasin PU

Status : GlobalDataService -> IstApprovalStatus

#4 - 01/12/2023 04:51 PM - Muhasin PU
- Assignee changed from Muhasin PU to Karthika V Anand

#5 - 01/12/2023 04:53 PM - Karthika V Anand

- Status changed from New to Coding Started

- Start date changed from 01/10/2023 to 01/12/2023
- % Done changed from 0 to 40

#6 - 01/23/2023 10:48 AM - Karthika V Anand
- Status changed from Coding Started to Coding Done
- % Done changed from 40 to 60

#7 - 01/24/2023 12:44 PM - Amal Cyriac

- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

05/03/2025

1/7




ISSUE FOUND *****

1.USE DD/MM/YYYY FORMAT IN GRID

2.SET VALIDATION OM EXTRA DAYS & EXTRA LIMIT
(IF THESE INPUT BOXES ARE EMPTY GUI CRASHING)
3.FIX ALIGNMENT OF DROP DOWN LABEL TOGGLE
(ASSIGNED USER)

4.SERVER ERROR WHILE SAVING
>>'binAccountId' AS BIGINT), \n\t\t\t\t\t\tCAST (jsnExtralimit->>'datEffectiveFrom' AS DATE), \n\t\t\t\t\t\tCAST (
JsnExtralLimit->>'datEffectiveTo' AS DATE), \n\n\t\t\t\t\t\tSTRING_TO_ARRAY (jsnExtralimit—->>"'strDbArlFkBranchIds
', ', ") ::BIGINT[], \n\t\t\t\t\t\tSTRING_TO_ARRAY (jsnExtralLimit—>>'strDbArlFkDepartmentIds', ', ') ::BIGINT[], \n\t
\t\t\t\t\tSTRING_TO_ARRAY (jsnExtralLimit->>"'strDbArlFkUserIds', ', ') ::BIGINT[], \n\t\t\t\t\t\tCAST (jsnExtralimit
—>>'dblExtralLimit' AS DOUBLE PRECISION), \n\t\t\t\t\t\tCAST (jsnExtralimit—->>"'sinExtraDays' AS SMALLINT), \n\t\t\
t\t\t\tCAST (jsnExtraLimit->>"'strRemarks' AS TEXT), \n\n\t\t\t\t\t\tCAST (jsnExtralimit->>'binAssignedUserGroupld
' AS BIGINT), \n\t\t\t\t\t\tCAST (jsnExtralimit->>'binAssignedUserId' AS BIGINT), \n\t\t\t\t\t\tCAST (jsnExtralimi
t->>'binApproveUserId' AS BIGINT), \n\t\t\t\t\t\tCAST (jsnExtralimit->>'dtmApproval' AS TIMESTAMP WITH TIME ZONE
) \n\t\t\t\t\t\tCAST (jsnExtraLimit->>"'strApprovalRemarks' AS TEXT), \n\t\t\t\t\t\tCAST (jsnExtralimit->>"'sinAppr
ovalStatus' AS SMALLINT), \n\n\t\t\t\t\t\tCAST (jsnExtralLimit->>"'sinRecordStatus' AS SMALLINT), \n\t\t\t\t\t\tCAS
T (jsnExtralimit—->>'sinOrder' AS SMALLINT), \n\n\n\t\t\t\t\t\tO0, \n\t\t\t\t\t\tCAST (jsnExtraLimit->>"'binCreatedUs
erId' AS BIGINT),\n\t\t\t\t\t\tdtmCurrent) RETURNING pk_extra_limit_id\"\nPL/pgSQL function sp_insert_or_updat
e_extra_limit (jsonb) line 14 at SQL statement", "binSglPk" : null, "strSglDocNo" : null, "dctSglOtherData" : n
ull}

5.USE PROPER COLOR FOR INDICATION STAR
6.SET BRANCH WIDGET RED & REQUIRED

#8 - 01/31/2023 11:19 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#9 - 02/02/2023 12:37 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****
1.SHOWING ERROR ALERT WHILE SAVE CREDI LIMIT
(42883: procedure sp_insert_or_update_extra_limit(jsonb, unknown) does not exist)

2.FIX BUGS ON SAVE BUTTON
(SAME RAW REPEATEDLY SAVING)

#10 - 02/03/2023 11:16 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#11 - 02/04/2023 04:34 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****
1.PREVENT DUPLICATION WHILE UPDATION
( EDIT MODE )

#12 - 02/07/2023 11:41 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#13 - 02/09/2023 10:55 AM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

ISSUE FOUND *****

1.CANT ADD NEW CREDIT LIMIT

2.FIX BUGS ON 'MODIFIED BY'

('MODIFIED BY' STATUS MISSING IN EDIT MODE)

#14 - 02/10/2023 03:03 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#15 - 03/31/2023 04:12 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Prevent auto completion from other accounts

(Party - Selection box- Set as only Supplier & Customer)
2.Fix bugs on Grid

(Duplication-Edit Mode)

#16 - 04/01/2023 12:10 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#17 - 04/11/2023 04:48 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Displaying "updated by another use" alert while update credit limit
(approve / reject credit limit on 'Credit Approve' module )

2.Prevent auto completion - accounts without credit limit
(Customer/Supplier input box)

3.Not allow edit/change credit limit after approve

#18 - 04/19/2023 11:16 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#19 - 09/03/2023 06:03 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED

1.SHOWING ALL ACT US CUSTOMER ACCOUNTS THAT ARE NOT RELATED WITH CREDIT

#20 - 09/04/2023 10:28 AM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#21 - 09/04/2023 04:34 PM - unnikannan S
TESTING DONE
#22 - 09/12/2023 02:38 PM - Seema Mathew
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from unnikannan S to Seema Mathew

ISSUE FOUNDED-

1.SHOWING VALIDATION WHILE ADDING SAME EFFECTIVE DATE.(Please select a valid Period effective date)

2.CORRECT THE PRINT AMOUNT ALIGNMENT LEFT TO RIGHT.

#23 - 09/12/2023 02:46 PM - Karthika V Anand
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 60

#24 - 09/12/2023 02:58 PM - Seema Mathew
TESTING DONE

#25 - 09/18/2023 05:44 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Seema Mathew to unnikannan S

ISSUE FOUNDED

1.DATA DISAPPEARING WHILE SAVE AND ADD ASSIGNED USER AND UPDATE
#26 - 09/22/2023 04:45 PM - Karthika V Anand

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#27 - 10/07/2023 05:26 PM - Junaid M
- Assignee changed from Karthika V Anand to Vivekp V

#28 - 11/08/2023 01:15 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED

1.ISSUE IN ASSIGNED USER DROP DOWN ADDING

2.DONT ALLOW TO ADD ACT US CLIENT/SUPPLIER A/C,S EXCEPT-SUPPLIER,AIRLINE,COA LEDGERS,COMMISSION

AGENT,EMPLOYEE,CUSTOMER

#29 - 11/08/2023 04:59 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

ISSUE fixed

1.ISSUE IN ASSIGNED USER DROP DOWN ADDING

2.DONT ALLOW TO ADD ACT US CLIENT/SUPPLIER A/C,S EXCEPT-SUPPLIER,AIRLINE,COA LEDGERS,COMMISSION

AGENT,EMPLOYEE,CUSTOMER

#30 - 11/09/2023 10:01 AM - Anonymous
TESTING DONE

#31 - 02/08/2024 11:43 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

Gui Changes As per PageDOCO001. Ask junaid for changes page

#32 - 02/09/2024 02:53 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Gui Changes done

#33 - 02/23/2024 08:43 PM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 60 to 50

Extra Credit Limit GUI Changes

1) GUI Heading and Menu Leabel Change to 'Extra Credit Limit/Payment Days'

Payment Exceed Report -

Check
—> Customer Overdue Report
—> Supplier Overdue Report

#34 - 02/24/2024 11:13 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

Extra Credit Limit GUI Changes Done
1) GUI Heading and Menu Leabel Change to 'Extra Credit Limit/Payment Days'

#35 - 02/26/2024 06:27 PM - Vivekp V
- Status changed from Reopen Bugs Coding Done to New Changes

- % Done changed from 70 to 50

#36 - 03/06/2024 08:31 PM - Vivekp V
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

new changes coding done

#37 - 04/18/2024 10:48 AM - unnikannan S

- Status changed from New Changes Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Fix Bugs On Print

#38 - 04/18/2024 10:59 AM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Fix Bugs On Print

#39 - 04/19/2024 11:05 AM - unnikannan S
TESTING DONE
#40 - 09/18/2024 02:52 PM - unnikannan S

- Subject changed from Extra Credit Limit to Extra Credit Limit/Payment Days
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FOUNDED

1.Missing Data In Credit Limit Tab

#41 - 10/07/2024 06:52 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.Missing Data In Credit Limit Tab

#42 - 11/20/2024 03:42 PM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. Data order on credit limit tab

Current Balance Payment Terms

Credit Limit Grace Period Days

Extra Limit Extra Days

Current Extra Limit Current Extra Days

Total Limit Total Grace & Extra Days

Exceed Limit Due Days 10-—-*1(15--*2)

Doc Due Payment Date (Based on Payment Terms (imp not consider Grace & Extra Days))
--*1 -> ((Payment Date - Bill Period End Days) - Total Grace & Extra Days)

—-—*2 -> ((Payment Date - Bill Period End Days)

2. Missing data on modified by on edit mode.

#43 - 11/22/2024 09:40 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1. Data order on credit limit tab

Current Balance Payment Terms

Credit Limit Grace Period Days

Extra Limit Extra Days

Current Extra Limit Current Extra Days

Total Limit Total Grace & Extra Days

Exceed Limit Due Days 10--*1(15--*2)

Doc Due Payment Date(Based on Payment Terms (imp not consider Grace & Extra Days))
_*q

-*2 -> ((Payment Date - Bill Period End Days)

2. Missing data on modified by on edit mode.

#44 - 11/25/2024 11:21 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50
ISSUE FOUND

1. Total days--> total grace and extra days.
2. Wrong data on due date and payment date.
3. Add title on 'based on current date'

#45 - 11/28/2024 06:21 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#46 - 12/19/2024 10:58 AM - Arathy PS

- Status changed from Reopen Bugs Coding Done to New Changes
- Assignee changed from Vivekp V to Athira KK

- % Done changed from 70 to 50

NEW CHANGES

1. Add a new field in the drop down - pax profile

#47 - 12/28/2024 10:52 AM - Athira KK
- Status changed from New Changes to Coding Done

- % Done changed from 50 to 60

#48 - 01/03/2025 02:39 PM - Arathy PS
- Status changed from Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND

Showing due date and payment date without without having any overdue.

NEW CHANGES

1. From current balance to exceed limit should have two columns, 1st column should show the values based on what we selected in admin settings

and 2nd column should show debit credit net.

2. Extra Limit and Current Extra Limit values not in bold 'exceed limit' text in bold.

#49 - 01/11/2025 10:38 AM - Athira KK
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#50 - 01/14/2025 10:04 AM - Arathy PS
- Status changed from Reopen Bugs Coding Done to New Changes
- % Done changed from 70 to 50

#51 - 04/02/2025 10:41 AM - Athira KK
- Status changed from New Changes to New Changes Coding Done

- % Done changed from 50 to 70

Files

1-CsModel.cs 2.78 KB 01/12/2023 Muhasin PU
2-tsModel.ts 1.82 KB 01/12/2023 Muhasin PU
3-CsFile.cs 17.4 KB 01/12/2023 Muhasin PU
4-CsControllerFile.cs 32.8 KB 01/12/20283 Muhasin PU
6-HtmlFile.html 1.93 KB 01/12/2023 Muhasin PU
5-TsFile.ts 15.9 KB 01/12/2023 Muhasin PU
sql.sql 15.8 KB 01/12/2023 Muhasin PU
